<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.smartitengineering.demo</groupId>
    <artifactId>SmartSelectionSuite</artifactId>
    <packaging>pom</packaging>
    <version>1.0-SNAPSHOT</version>
    <name>smart-selection-suite</name>

    <repositories>
        <repository>
            <id>smart-it-release-repo</id>
            <name>Smart IT Engineering snapshot repo</name>
            <url>http://dev.smartitengineering.com/maven-repo/release</url>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </repository>
        <repository>
            <id>netbeans</id>
            <name>repository hosting netbeans.org api artifacts</name>
            <url>http://deadlock.netbeans.org/maven2</url>
        </repository>
	<repository>
            <id>java-net</id>
            <url>http://download.java.net/maven/2/</url>
        </repository>
    </repositories>

    <dependencies>
        <dependency>
            <groupId>org.netbeans.api</groupId>
            <artifactId>org-openide-util</artifactId>
            <version>${netbeans-api-version}</version>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>3.8.1</version>
            <scope>test</scope>
        </dependency>
    </dependencies>
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-assembly-plugin</artifactId>
                <version>2.1</version>
                <inherited>false</inherited>
                <configuration>
                    <descriptors>
                        <descriptor>src/main/assembly/app-zip.xml</descriptor>
                    </descriptors>
                    <finalName>${pom.artifactId}</finalName>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>nbm-maven-plugin</artifactId>
                <version>${nbm-plugin-version}</version>
                <inherited>false</inherited>
                <dependencies>
                    <dependency>
                        <groupId>javax.help</groupId>
                        <artifactId>search</artifactId>
                        <version>2.0-${netbeans-api-version}</version>
                    </dependency>
                </dependencies>
                <configuration>
                    <brandingToken>site</brandingToken>
                    <cluster>SmartSelectionSuite</cluster>
                    <enabledClusters>
                        <enabledCluster>platform8</enabledCluster>
                        <enabledCluster>SmartSelectionSuite</enabledCluster>
                            <!--enabledCluster>ide</enabledCluster-->
                            <!--enabledCluster>enterprise</enabledCluster-->
                    </enabledClusters>
                </configuration>
                <executions>
                    <execution>
                        <id>branding</id>
                        <phase>process-resources</phase>
                        <goals>
                            <goal>branding</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>2.0.2</version>
                <configuration>
                    <source>1.5</source>
                    <target>1.5</target>
                </configuration>
            </plugin>
        </plugins>
    </build>
    <modules>
        <module>my-editor</module>
        <module>my-viewer</module>
        <module>my-api</module>
        <module>domain</module>
    </modules>
    <properties>
        <nbm-plugin-version>2.6.2</nbm-plugin-version>
        <netbeans-api-version>RELEASE61</netbeans-api-version>
    </properties>
</project>
